### A Pluto.jl notebook ###
# v0.19.11

using Markdown
using InteractiveUtils

# ╔═╡ b72215bb-8e3a-46e2-8817-271befe1178c
begin
	using PlotlyBase
	using HypertextLiteral
	using PlutoUI
	using LinearAlgebra
	using NLsolve
end

# ╔═╡ 0b869e70-3717-11ec-202c-6b94dac7daf3
md"""
# Teste Intercalar: Macroeconomia I (L0236)

#### Duração: 1 hora e 30 minutos.

## Instituto Universitário de Lisboa (ISCTE--IUL)

**27 Abril 2022**
"""

# ╔═╡ b326715f-c37f-44d2-92f9-6264368a18b2
md"""
#### Nome: Inserir nome completo , Nº: 00002
"""

# ╔═╡ 694d78c7-4762-4d40-8f9a-6c3d16916d4e
begin
	function Base.show(io::IO, mimetype::MIME"text/html", plt::PlotlyBase.Plot)
       # Remove responsive flag on the plot as we handle responsibity via ResizeObeserver and leaving it on makes the div flickr during updates
	hasproperty(plt,:config) && plt.config.responsive && (plt.config.responsive = false)   
	show(io,mimetype, @htl("""
			<div>
			<script id=asdf>
			const {plotly} = await import("https://cdn.plot.ly/plotly-2.2.0.min.js")
			const PLOT = this ?? document.createElement("div");
		

		
			Plotly.react(PLOT, $(HypertextLiteral.JavaScript(PlotlyBase.json(plt))));


		
			const pluto_output = currentScript.parentElement.closest('pluto-output')

			const resizeObserver = new ResizeObserver(entries => {
				Plotly.Plots.resize(PLOT)
			})

			resizeObserver.observe(pluto_output)

			invalidation.then(() => {
				resizeObserver.disconnect()
			})
		
			return PLOT
			</script>
			</div>
	"""))
	end
end

# ╔═╡ 60bab761-8537-46e3-9940-953cd47da4be
md"""
**------  RESPONDA APENAS A 5 GRUPOS, de forma sucinta e objectiva  -----**
"""

# ╔═╡ 52c76dc2-146c-4178-9aa3-d132a0551168
md"""
## Exercício 1 (4 pontos)
"""

# ╔═╡ 639e8d57-e9d8-432a-9c33-67ec124a703c
md"""
Assuma que a curva de Política Monetária (MP) é dada pela seguinte expressão: 

$$\quad r = 1.0 + 0.25 \pi \qquad \qquad \qquad \qquad (MP)$$

A seguinte informação é conhecida sobre a procura agregada:

$$\overline{A} = 7.0 \ , \ m= 2.0 \ , \ \phi=0.5$$

De onde se obtém a seguinte função AD:

$$Y= 2.0 \times 7.0 - 1.0 - 0.25 \times \pi \qquad \qquad \qquad \qquad (AD)$$
"""

# ╔═╡ b060aff8-7cfa-4475-b0b4-ef9f080226f6
md"""
**a)** A função AD está representada na figura seguinte. O que representa esta função, em termos económicos?
"""

# ╔═╡ 9df62048-e8f6-4778-b296-59c6e3d6116b
md"""
	!!! resposta

	    **a.** Aqui
		
	"""

# ╔═╡ b4672ef7-e482-4b63-9dd6-ce6df8ed99e3
md"""
**b)** Suponha que a função AD se deslocava para a esquerda: para o ponto: $Y=12,\pi=2$. **Quantifique** um possível facto que permita explicar este deslocamento. 
"""

# ╔═╡ 472ef023-de07-4bf8-a413-bfe48d529a5e
md"""
	!!! resposta

	    **b.** Aqui
		
	"""

# ╔═╡ e82aa600-1555-4d90-a029-934971515e9e
md"""
**c)** Se a taxa de inflação subir para 4%, qual será a reação do banco central em termos da **taxa de juro nominal**? Quantifique essa reação.
"""

# ╔═╡ 73afa73e-5515-4a07-8a0c-6e1602065f4a
md"""
	!!! resposta

	    **c.** Aqui
		
	"""

# ╔═╡ f36d542a-01c1-4fed-8d6a-d18916998ffe
md"""
**d)** Em termos da função AD, o que representam os pontos 2 e 3, quando comparados com o ponto 1?
"""

# ╔═╡ 1e69da65-2a11-44a8-9ef3-f59e927d3dab
md"""
	!!! resposta

	    **d.** Aqui
		
	"""

# ╔═╡ 686ccacc-f4d4-4dd0-b041-c8f3ccf78abd
md"""
#### Respostas
"""

# ╔═╡ bc7a7a3d-b43a-4db1-9f42-212226e10a29
# Não altere esta célula. Cotações por pergunta.
begin
	Ia = 0.0 * 1
	Ib = 0.0 * 1
	Ic = 0.0 * 1
	Id = 0.0 * 1
	I = Ia + Ib + Ic + Id
end

# ╔═╡ 92e13516-d245-4afe-be73-ac26bd894d9b
md"""
## Exercício 2 (4 pontos)
"""

# ╔═╡ b004b15f-67bb-49c8-8eb5-1738ef66dedd
md"""
**a)** Indique os instrumentos não-convencionais de política monetária que o Fed (Reserva Federal Americana) tem utilizado para conduzir aquela política? Descreva de forma sumária cada um deles.
"""

# ╔═╡ 0e7f5955-9cfb-4c3d-885d-949c4d2b1377
md"""
	!!! tip "Respostas"

	    **a.** Responda aos instrumentos nas alíneas abaixo.

		(i) Aqui

		(ii) Aqui

		(iii) Aqui

	"""

# ╔═╡ a6e64a06-0041-4337-b15e-777bd0a9b7af
md"""
**b)** Qual a razão que leva o Fed a utilizar os instrumentos não-convencionais de política monetária?
"""

# ╔═╡ 189369e0-332f-4fdb-ada3-b1e4072067ca
md"""
	!!! tip "Resposta"

	    **b.** Aqui
		
	"""

# ╔═╡ dd817a97-ad13-4e06-9973-377bad777af8
md"""
**c)** O que varia no balanço do Fed (Reserva Federal Americana), se este banco proceder às seguintes operações:

- Compra 500 milhões de dólares em "Treasuries" (títulos de dívida pública dos EUA) de curto prazo e vende títulos de dívida pública dos EUA de longo prazo no mesmo montante. 
- Vende 250 milhões de dólares de "Mortgage-Backed Securities" (títulos hipotecários).
- Fed compra títulos de dívida pública emitida em Euros no valor 500 milhões de dólares.
- Fed aumenta em 0.5 pontos percentuais a taxa de desconto (Discount rate).
"""

# ╔═╡ 1b50ed59-f6b7-482c-9bbd-e72bf1b5cc90
md"""
	!!! tip "Respostas"

	    **c1.** Aqui

		**c2.** Aqui

		**c3.** Aqui

		**c4.** Aqui
				
	"""

# ╔═╡ 65e7c84b-f23a-40c1-8d41-3214a6509ed4
# Não altere esta célula. Cotações por pergunta.
begin
	IIa = 0.0 * 2.0
	IIb = 0.0 * 1.0
	IIc = 0.0 * 1.0
	II = IIa + IIb + IIc 
end

# ╔═╡ 4109af60-6178-4148-8efe-890245077188
md"""
## Exercício 3 (4 pontos)
"""

# ╔═╡ 25743265-a4d8-45c0-8c17-e75a2858441a
md"""
**a)** O que é a Equação de Fisher?
"""

# ╔═╡ dfe0da15-70ae-4890-9ebc-f0220d3d24a5
md"""
!!! tip "Resposta"

    **a.** Aqui

"""

# ╔═╡ b3cf0862-86b9-4b72-9a99-7094bb357672
md"""
**b)** Que informação é transmitida pelo valor do multiplicador da procura autónoma?
"""

# ╔═╡ e942d48b-92fb-4884-8aad-db41049ecb68
md"""
!!! tip "Resposta"

    **b.** Aqui

"""

# ╔═╡ 0dc14ae7-9737-43f9-9065-c48eca78b10f
md"""
**c)** Quanto varia o PIB em 2020 perante os seguintes factos **que ocorreram nesse ano**:
- A família Bird adquiriu uma moradia por 1 milhão de dólares à família Swan, a qual tinha comprado esta mesma moradia 5 anos antes por 0.6 milhões de dólares. Teve de pagar 50 mil dólares ao agente imobiliário.
- Uma empresa adquiriu uma moradia usada por 0.6 milhões de dólares, fez reparações na casa no montante de 0.4 milhões de dólares, vendendo-a a seguir por 2 milhões de dólares.
- A American Airlines vendeu 3 aviões usados A320 a uma outra empresa de aviação, no valor de 300 milhões de dólares.
- Devido ao Covid19, o governo aumentou as transferências para as famílias e empresas no valor de 900 milhões de dólares.
"""

# ╔═╡ 6be49405-81c0-4b78-9b4b-74a28288cb33
md"""
!!! tip "Respostas"

	**c1.** Aqui
		
	**c2.** Aqui
  
	**c3.** Aqui

	**c4.** Aqui


"""

# ╔═╡ 3e742246-76db-485f-a072-ada0bb62e5f0
md"""
**d)** Através da observação da figura seguinte, **por volta do ano 2000**, o desemprego cíclico nos EUA era positivo, ou negativo? Justifique de forma sucinta.
"""

# ╔═╡ 2d3b6e2a-e905-4e8e-8f58-84a55ec66257
md"""
!!! tip "Resposta"

    **d.** Aqui

"""

# ╔═╡ 9146b701-32f9-46c6-a8ea-5869733dd73c
Resource("http://ebs.de.iscte.pt/aa_Unempl_FinalTest.png",:width=>650)

# ╔═╡ c7e2c3fc-bf1c-4b1b-882a-b9e36d66a32b
# Não altere esta célula. Cotações por pergunta.
begin
	IIIa = 0.0 * 1
	IIIb = 0.0 * 1
	IIIc = 0.0 * 1
	IIId = 0.0 * 1
	III = IIIa + IIIb + IIIc + IIId
end

# ╔═╡ 9b0f3199-ff28-4820-bcad-e59bc65ce8a6
md"""
## Exercício 4 (4 pontos)
"""

# ╔═╡ 541d8125-e5d0-46ec-a26d-aa1a130c38b2
md"""
**a)** Explique o que são variáveis exógenas num modelo macroeconómico.
"""

# ╔═╡ 45ee439d-2e32-4849-96d9-d2ac558e0633
md"""
	!!! tip "Resposta"

	    **a.** Aqui

	"""

# ╔═╡ 3702e673-d0bf-4ad8-89ad-770f520b2d3a
md"""
**b)** Explique o que são variáveis endógenas num modelo macroeconómico.
"""

# ╔═╡ bddb1765-c6f7-4691-a982-f8a2b3730536
md"""
	!!! tip "Resposta"

	    **b.** Aqui

	"""

# ╔═╡ d7429d71-cb55-4f75-8e62-8cd86fd25fc1
md"""
**c)** O volume de impostos sobre o rendimento é uma variável exógena ou endógena? Explique de forma sucinta.
"""

# ╔═╡ 2be98353-828b-49bd-ad8c-11f264074066
md"""
	!!! tip "Resposta"

	    **c.** Aqui

	"""

# ╔═╡ f6e1ffaf-62fc-4716-ad75-fda073486d95
md"""
**d)** A "Discount rate" (taxa de desconto da Reserva Federal Americana) é uma variável exógena ou endógena? Explique de forma sucinta.

"""

# ╔═╡ 911bff51-0256-470e-96a5-e5f8a61dd324
md"""
	!!! tip "Resposta"

	    **d.** Aqui

	"""

# ╔═╡ 5d77a375-8649-4f50-8eaf-4bc90823355e
md"""
**e)** Resolva o seguinte modelo usando um método à sua escolha:

$$\begin{aligned}
&x= 5 - 2 y - 5 h \\
&y= x + 10 h - 20 \\
&h= -20 - x + 6 y \\
&m =x + y + h 
\end{aligned}$$

"""

# ╔═╡ c09accf2-8d49-4234-9e7a-281b7e94af1d
md"""
Poderá utilizar a célula seguinte para efeitos de cálculos.
"""

# ╔═╡ 505c7d0a-8ba8-4500-bf12-0f337e787e8d


# ╔═╡ 15643808-478f-4bb6-8f89-155707501530
md"""
	!!! tip "Resposta"

	    **e.** Aqui

	"""

# ╔═╡ cff3fc5b-326b-4efe-836b-229cd23f83cc
# Não altere esta célula. Cotações por pergunta.
begin
	IVa = 0.0 * 0.5
	IVb = 0.0 * 0.5
	IVc = 0.0 * 0.5
	IVd = 0.0 * 0.5
	IVe = 0.0 * 2.0
	IV = IVa + IVb + IVc + IVd + IVe
end

# ╔═╡ 9b622087-ad34-4f19-9929-cbdf0256eae0
md"""
## Exercício 5 (4 pontos)
"""

# ╔═╡ 663614b3-9a45-4179-b0ca-931c8b3495dd
md"""
Considere a informação na tabela seguinte, relativamente a uma economia onde se produzem apenas trotinetes e bicicletas:

$$\begin{array}{lcccc}
\hline & 2020 & & {2021} \\
\hline & \text { Quantidades } & \text { Preços } & \text { Quantidades } & \text { Preços } \\
\hline \text { Trotinetes } & 500 & 5 & 550 & 5.5 \\
\text { Bicicletas } & 300 & 4 & 340 & 3.8 \\
\hline
\end{array}$$
"""

# ╔═╡ 622249b8-e03c-4b4c-b82d-b57b2109f55a
md"""
Na célula seguinte, os valores acima apresentados são introduzidos no notebook.
"""

# ╔═╡ cd9477a3-a0af-44bf-83df-55e22ac2bf7d
begin
	# ano 2020
	QT20 = 500;     # Quantidade de Trotinetes no ano 2020
	QB20 = 300;     # Quantidade de Bicicletas no ano 2020
	PT20 = 5;       # Preço de Trotinetes no ano 2020
	PB20 = 4;       # Preço de Bicicletas no ano 2020
	
	# dados do ano 2021
	QT21 = 550 ; QB21 = 340 ; PT21 = 5.5 ; PB21 = 3.8; 
end;

# ╔═╡ cdbb679f-65de-4e28-905d-1b2cc4786193
md"""
**a)** Calcule o valor do PIB nominal para ambos os anos. Entre 2020 e 2021, quanto cresceu o PIB nominal em valores percentuais?
"""

# ╔═╡ 166ac681-b718-444d-acb1-9bc55a99ba51


# ╔═╡ f7ca73ad-ac6e-4431-9bc2-08bf0ba26adb


# ╔═╡ 8f75acd4-baf7-48f9-b78a-700c5bc9c8e3


# ╔═╡ ec05f27a-e132-4e8d-8f42-e76e778fd15e
md"""
	!!! tip "Resposta"

	    a. Aqui
		
	"""

# ╔═╡ 63e1aa34-3b81-4003-b377-84f95d665c72
md"""
**b)** Calcule o valor do PIB real para ambos os anos, usando 2020 como o ano base. Calcule a taxa de crescimento do PIB real entre estes dois anos.

"""

# ╔═╡ 0e7d1cc4-2d2d-45b4-b2db-fecb2e487729


# ╔═╡ 4610a53d-5981-4c68-8f5e-b861e532064c


# ╔═╡ f3ff7048-ec89-486e-ab1e-5a1d6bcab0ba
md"""
	!!! tip "Resposta"

	    b. Aqui
		
	"""

# ╔═╡ 3b97a814-989b-478a-8db4-bf8faf6e9d39
md"""
**c)** Qual é o valor para o índice de preços do PIB para 2020 e para 2021? Qual foi a taxa de inflação entre estes dois anos?
"""

# ╔═╡ 481099e2-bd03-4c78-b2ca-28d6a11f88ab


# ╔═╡ 26f1bb3c-c7a5-4b65-a599-cb343337ba2e


# ╔═╡ 249d33d4-e65b-4409-9442-b405a6fdee11
md"""
	!!! tip "Resposta"

	    c. Aqui
		
	"""

# ╔═╡ d8be14b9-f55b-407c-b039-24817220c07b
md"""
**d)** Sem fazer cálculos, considera que os valores das perguntas anteriores seriam iguais se o ano base fosse 2021? Justifique de forma sucinta.
"""

# ╔═╡ 33a0b6a9-446e-4f8d-ba85-2e2e380713c7
md"""
	!!! tip "Resposta"

	    d. Aqui
		
	"""

# ╔═╡ 83da306c-64fa-4231-b396-b2006cd3ae05
# Não altere esta célula. Cotações por pergunta.
begin
	Va = 0.0 * 1
	Vb = 0.0 * 1
	Vc = 0.0 * 1
	Vd = 0.0 * 1
	V = Va + Vb + Vc + Vd
end

# ╔═╡ 36a0155e-86a5-461a-9b29-bf5b12e29e1b
md"""
## Exercício 6 (4 pontos)
"""

# ╔═╡ 4f2bd28d-abe2-43eb-9b7c-65e4ee574499
md"""
No mercado de Bens&Serviços é conhecida a seguinte informação: 

$$\begin{array}{lll}
\overline{C} =3.0 & \qquad & \overline{f}  =1 \\
\overline{I} =1.5 & \qquad & c=0.6 \\
\overline{G} =2.0 & \qquad & b=0.1 \\
\overline{T} =2.0 & \qquad & d=0.2 \\
\overline{N X}=0.5 & \qquad & x=0.1
\end{array}$$

Para simplificar, as componentes autónomas da despesa são medidas em triliões de dólares, enquanto que a fricção financeira é medida em pontos percentuais.
"""

# ╔═╡ ce844785-c79e-49ec-adc3-195ce2c45dda
md"""
Na célula seguinte, os valores de três agregados importantes são são passados para o notebook. 
"""

# ╔═╡ 4f674a39-f961-4b0c-a5e3-f4157e54a263
md"""
**a)** Usando a informação da célula abaixo, qual é o valor da Procura Autónoma? O que significa, do ponto de vista económico, esta variável?
"""

# ╔═╡ c6dd93c8-6dd1-4d72-9832-8c9d0ac18541
md"""
	!!! resposta

	    **a.**  Aqui

	"""

# ╔═╡ 5d2316d1-1c6d-4d3a-b661-456121e3a49a
md"""
**b)** A função IS encontra-se representada na figura seguinte. Quantifique duas alterações na Procura Autónoma que movam a economia do ponto 1 para o ponto 2. 
"""

# ╔═╡ 49c7f5e5-9c10-4758-b0fc-d5ca393ae14a
md"""
	!!! resposta

	    **b.**  Aqui

	"""

# ╔═╡ 9a129cf6-6e34-4fd1-a9fa-88e228a89f37
md"""
**c)** Qual o facto económico que pode explicar o deslocamento da economia do ponto 1 para o ponto 3.
"""

# ╔═╡ 7bfaeb95-3c1f-4f66-b1ca-ed50b9d6e111
md"""
	!!! resposta

	    **c.**  Aqui

	"""

# ╔═╡ 89752b0b-c1bf-4127-acf5-fe2ccec53c5a
md"""
**d)** Perante um aumento da inflação em 4%, o Banco Central viu-se forçado em subir a taxa de juro nominal em 5%. Qual será o impacto sobre a taxa de juro real e o PIB?
"""

# ╔═╡ 147cc8ed-b1c3-4e47-b2ee-ddfb89d39a16
md"""
	!!! resposta

	    **d.**  Aqui

	"""

# ╔═╡ 67788221-ebbc-463f-8433-df2fb7759d76
md"""
#### Respostas
"""

# ╔═╡ 1abf1b21-a268-45da-bcfc-b9cab7119ef4
# Não altere esta célula. Cotações por pergunta.
begin
	VIa = 0.0 * 1
	VIb = 0.0 * 1
	VIc = 0.0 * 1
	VId = 0.0 * 1
	VI = VIa + VIb + VIc + VId 
end

# ╔═╡ f2956bed-9534-4c57-bfaa-fbef3c4af810
md"""
## Fim do teste
"""

# ╔═╡ edbd2b1c-1452-41a6-962c-3434bd420020
md"""
## Células auxiliares (não altere estas células)
"""

# ╔═╡ 0b4adabb-93f9-40d0-8571-b651dd68535c
NotaFinal = I + II + III + IV + V + VI

# ╔═╡ d9672a6f-97af-43d1-9a30-50495204fec8
 TableOfContents()

# ╔═╡ 73ff8fcc-cfd6-45ba-a741-ecfa65a4cf28
begin
	Ā5 = 7.0
	λ5 = 0.25
	m5 = 2.0
	ϕ5 = 0.5
	r̄5 = 1.0
	#
	πdmax5 = (Ā5 / (λ5 * ϕ5)) - r̄5/λ5 # The AD curve y-axis intercept (just to simplify things)
end;

# ╔═╡ 453a8441-496f-4b56-affc-999ee17aeb24
begin
	Y5 = 10.0:0.01:14.5
	
	πd5 = πdmax5 .- ((1 ./(m5 .* ϕ5 .* λ5)) .* Y5)
	
	trace5_6 = scatter(; x = Y5, y = πd5, mode="lines" , line_color = "Blue", line_width = "3",
					name  = "AD")
	
	trace5_10 = scatter(; x = [12.5], y = [2.0], text =["1"], 
					textposition = "top center", name ="Eq.", mode="markers+text", marker_size= "12",
					marker_color="Blue", textfont = attr(family="sans serif", size=16, color="black"))

	trace5_11 = scatter(; x = [12 , 12.5], y = [2.0 , 6.0], text =["2", "3"], 
					textposition = "top center", name ="Eq.", mode="markers+text", marker_size= "12",
					marker_color="Red", textfont = attr(family="sans serif", size=16, color="black"))
	
	
	layout5_6 = Layout(;
					title_text ="Função AD", 
					title_x = 0.5,
					hovermode = "x",
                    xaxis=attr(title=" PIB em triliões de dólares (Y)", showgrid=true, zeroline=false),
                    xaxis_range = [11.25, 13.5],
                    yaxis=attr(title="Rate of inflation (π)", zeroline = false),
					yaxis_range=[-2 , 8]
					)

   p5_6 = Plot([trace5_6, trace5_10, trace5_11], layout5_6)
end

# ╔═╡ f766a3df-efa6-4171-895d-4c34e5843a7b
begin
	C̄  = 3.0
	Ī  = 1.5
	Ḡ  = 2.0
	T̄  = 2.0
	N̄X̄ = 0.5
	f̄  = 1.0
	c  = 0.6
	b  = 0.1
	d  = 0.2
	x  = 0.1
end;

# ╔═╡ 52df2abd-1f37-435e-8129-9438a597d24a
begin	
	Ā = C̄ + Ī - d*f̄ + Ḡ + N̄X̄ - c*T̄
	m = 1/(1-c)
	ϕ = b + d + x
	print("Ā = $Ā, m = $m, ϕ = $ϕ")
end

# ╔═╡ 4f64fb39-a46d-4f46-b87d-825c013207db
begin
	Y = 0.0:0.02:15.0
	
	r = (Ā ./ ϕ) .- (1. /(m .* ϕ)).*Y
	
	trace4_0 = scatter(; x=Y, y = r, mode="lines" , line_color = "Blue", line_width = "3",
					name  = "IS")
	
	trace4_10 = scatter(; x = [10.0 , 12.0, 8.0], y = [4.0 , 4.0 , 6.0], text =["1", "2" , "3"], 
					textposition = "top center", name ="Eq.", mode="markers+text", marker_size= "12",
					marker_color="Blue", textfont = attr(family="sans serif", size=16, color="black"))

		
	layout4_0 = Layout(;
					title_text ="Função IS", title_x = 0.5,
                    xaxis=attr(title="PIB em triliões de dólares (Y)", showgrid=true, zeroline=false),
					hovermode = "x",
                    xaxis_range = [6.0, 14.0],
					yaxis_range = [0.0, 8.0],
                    yaxis=attr(title="Taxa de juro real (r)", zeroline = false))

   p4_0 = Plot([trace4_0, trace4_10], layout4_0)
	
end

# ╔═╡ c7190cc0-08d8-45c8-b5de-e5630e0ff00e
html"""<style>
main {
    max-width: 900px;
    align-self: flex-start;
    margin-left: 100px;
}
"""

# ╔═╡ 00000000-0000-0000-0000-000000000001
PLUTO_PROJECT_TOML_CONTENTS = """
[deps]
HypertextLiteral = "ac1192a8-f4b3-4bfe-ba22-af5b92cd3ab2"
LinearAlgebra = "37e2e46d-f89d-539d-b4ee-838fcccc9c8e"
NLsolve = "2774e3e8-f4cf-5e23-947b-6d7e65073b56"
PlotlyBase = "a03496cd-edff-5a9b-9e67-9cda94a718b5"
PlutoUI = "7f904dfe-b85e-4ff6-b463-dae2292396a8"

[compat]
HypertextLiteral = "~0.9.3"
NLsolve = "~4.5.1"
PlotlyBase = "~0.8.18"
PlutoUI = "~0.7.38"
"""

# ╔═╡ 00000000-0000-0000-0000-000000000002
PLUTO_MANIFEST_TOML_CONTENTS = """
# This file is machine-generated - editing it directly is not advised

julia_version = "1.8.0"
manifest_format = "2.0"
project_hash = "074e4e81ffecf113fb80435bcffaf4b1fa1dd08d"

[[deps.AbstractPlutoDingetjes]]
deps = ["Pkg"]
git-tree-sha1 = "8eaf9f1b4921132a4cff3f36a1d9ba923b14a481"
uuid = "6e696c72-6542-2067-7265-42206c756150"
version = "1.1.4"

[[deps.ArgTools]]
uuid = "0dad84c5-d112-42e6-8d28-ef12dabb789f"
version = "1.1.1"

[[deps.ArrayInterface]]
deps = ["Compat", "IfElse", "LinearAlgebra", "Requires", "SparseArrays", "Static"]
git-tree-sha1 = "c933ce606f6535a7c7b98e1d86d5d1014f730596"
uuid = "4fba245c-0d91-5ea0-9b3e-6abc04ee57a9"
version = "5.0.7"

[[deps.Artifacts]]
uuid = "56f22d72-fd6d-98f1-02f0-08ddc0907c33"

[[deps.Base64]]
uuid = "2a0f44e3-6c83-55bd-87e4-b1978d98bd5f"

[[deps.ChainRulesCore]]
deps = ["Compat", "LinearAlgebra", "SparseArrays"]
git-tree-sha1 = "9950387274246d08af38f6eef8cb5480862a435f"
uuid = "d360d2e6-b24c-11e9-a2a3-2a2ae2dbcce4"
version = "1.14.0"

[[deps.ChangesOfVariables]]
deps = ["ChainRulesCore", "LinearAlgebra", "Test"]
git-tree-sha1 = "bf98fa45a0a4cee295de98d4c1462be26345b9a1"
uuid = "9e997f8a-9a97-42d5-a9f1-ce6bfc15e2c0"
version = "0.1.2"

[[deps.ColorSchemes]]
deps = ["ColorTypes", "Colors", "FixedPointNumbers", "Random"]
git-tree-sha1 = "12fc73e5e0af68ad3137b886e3f7c1eacfca2640"
uuid = "35d6a980-a343-548e-a6ea-1d62b119f2f4"
version = "3.17.1"

[[deps.ColorTypes]]
deps = ["FixedPointNumbers", "Random"]
git-tree-sha1 = "024fe24d83e4a5bf5fc80501a314ce0d1aa35597"
uuid = "3da002f7-5984-5a60-b8a6-cbb66c0b333f"
version = "0.11.0"

[[deps.Colors]]
deps = ["ColorTypes", "FixedPointNumbers", "Reexport"]
git-tree-sha1 = "417b0ed7b8b838aa6ca0a87aadf1bb9eb111ce40"
uuid = "5ae59095-9a9b-59fe-a467-6f913c188581"
version = "0.12.8"

[[deps.CommonSubexpressions]]
deps = ["MacroTools", "Test"]
git-tree-sha1 = "7b8a93dba8af7e3b42fecabf646260105ac373f7"
uuid = "bbf7d656-a473-5ed7-a52c-81e309532950"
version = "0.3.0"

[[deps.Compat]]
deps = ["Base64", "Dates", "DelimitedFiles", "Distributed", "InteractiveUtils", "LibGit2", "Libdl", "LinearAlgebra", "Markdown", "Mmap", "Pkg", "Printf", "REPL", "Random", "SHA", "Serialization", "SharedArrays", "Sockets", "SparseArrays", "Statistics", "Test", "UUIDs", "Unicode"]
git-tree-sha1 = "b153278a25dd42c65abbf4e62344f9d22e59191b"
uuid = "34da2185-b29b-5c13-b0c7-acf172513d20"
version = "3.43.0"

[[deps.CompilerSupportLibraries_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "e66e0078-7015-5450-92f7-15fbd957f2ae"
version = "0.5.2+0"

[[deps.Dates]]
deps = ["Printf"]
uuid = "ade2ca70-3891-5945-98fb-dc099432e06a"

[[deps.DelimitedFiles]]
deps = ["Mmap"]
uuid = "8bb1440f-4735-579b-a4ab-409b98df4dab"

[[deps.DiffResults]]
deps = ["StaticArrays"]
git-tree-sha1 = "c18e98cba888c6c25d1c3b048e4b3380ca956805"
uuid = "163ba53b-c6d8-5494-b064-1a9d43ac40c5"
version = "1.0.3"

[[deps.DiffRules]]
deps = ["IrrationalConstants", "LogExpFunctions", "NaNMath", "Random", "SpecialFunctions"]
git-tree-sha1 = "dd933c4ef7b4c270aacd4eb88fa64c147492acf0"
uuid = "b552c78f-8df3-52c6-915a-8e097449b14b"
version = "1.10.0"

[[deps.Distances]]
deps = ["LinearAlgebra", "SparseArrays", "Statistics", "StatsAPI"]
git-tree-sha1 = "3258d0659f812acde79e8a74b11f17ac06d0ca04"
uuid = "b4f34e82-e78d-54a5-968a-f98e89d6e8f7"
version = "0.10.7"

[[deps.Distributed]]
deps = ["Random", "Serialization", "Sockets"]
uuid = "8ba89e20-285c-5b6f-9357-94700520ee1b"

[[deps.DocStringExtensions]]
deps = ["LibGit2"]
git-tree-sha1 = "b19534d1895d702889b219c382a6e18010797f0b"
uuid = "ffbed154-4ef7-542d-bbb7-c09d3a79fcae"
version = "0.8.6"

[[deps.Downloads]]
deps = ["ArgTools", "FileWatching", "LibCURL", "NetworkOptions"]
uuid = "f43a241f-c20a-4ad4-852c-f6b1247861c6"
version = "1.6.0"

[[deps.FileWatching]]
uuid = "7b1f6079-737a-58dc-b8bc-7a2ca5c1b5ee"

[[deps.FiniteDiff]]
deps = ["ArrayInterface", "LinearAlgebra", "Requires", "SparseArrays", "StaticArrays"]
git-tree-sha1 = "56956d1e4c1221000b7781104c58c34019792951"
uuid = "6a86dc24-6348-571c-b903-95158fe2bd41"
version = "2.11.0"

[[deps.FixedPointNumbers]]
deps = ["Statistics"]
git-tree-sha1 = "335bfdceacc84c5cdf16aadc768aa5ddfc5383cc"
uuid = "53c48c17-4a7d-5ca2-90c5-79b7896eea93"
version = "0.8.4"

[[deps.ForwardDiff]]
deps = ["CommonSubexpressions", "DiffResults", "DiffRules", "LinearAlgebra", "LogExpFunctions", "NaNMath", "Preferences", "Printf", "Random", "SpecialFunctions", "StaticArrays"]
git-tree-sha1 = "40d1546a45abd63490569695a86a2d93c2021e54"
uuid = "f6369f11-7733-5829-9624-2563aa707210"
version = "0.10.26"

[[deps.Hyperscript]]
deps = ["Test"]
git-tree-sha1 = "8d511d5b81240fc8e6802386302675bdf47737b9"
uuid = "47d2ed2b-36de-50cf-bf87-49c2cf4b8b91"
version = "0.0.4"

[[deps.HypertextLiteral]]
git-tree-sha1 = "2b078b5a615c6c0396c77810d92ee8c6f470d238"
uuid = "ac1192a8-f4b3-4bfe-ba22-af5b92cd3ab2"
version = "0.9.3"

[[deps.IOCapture]]
deps = ["Logging", "Random"]
git-tree-sha1 = "f7be53659ab06ddc986428d3a9dcc95f6fa6705a"
uuid = "b5f81e59-6552-4d32-b1f0-c071b021bf89"
version = "0.2.2"

[[deps.IfElse]]
git-tree-sha1 = "debdd00ffef04665ccbb3e150747a77560e8fad1"
uuid = "615f187c-cbe4-4ef1-ba3b-2fcf58d6d173"
version = "0.1.1"

[[deps.InteractiveUtils]]
deps = ["Markdown"]
uuid = "b77e0a4c-d291-57a0-90e8-8db25a27a240"

[[deps.InverseFunctions]]
deps = ["Test"]
git-tree-sha1 = "91b5dcf362c5add98049e6c29ee756910b03051d"
uuid = "3587e190-3f89-42d0-90ee-14403ec27112"
version = "0.1.3"

[[deps.IrrationalConstants]]
git-tree-sha1 = "7fd44fd4ff43fc60815f8e764c0f352b83c49151"
uuid = "92d709cd-6900-40b7-9082-c6be49f344b6"
version = "0.1.1"

[[deps.JLLWrappers]]
deps = ["Preferences"]
git-tree-sha1 = "abc9885a7ca2052a736a600f7fa66209f96506e1"
uuid = "692b3bcd-3c85-4b1f-b108-f13ce0eb3210"
version = "1.4.1"

[[deps.JSON]]
deps = ["Dates", "Mmap", "Parsers", "Unicode"]
git-tree-sha1 = "3c837543ddb02250ef42f4738347454f95079d4e"
uuid = "682c06a0-de6a-54ab-a142-c8b1cf79cde6"
version = "0.21.3"

[[deps.LaTeXStrings]]
git-tree-sha1 = "f2355693d6778a178ade15952b7ac47a4ff97996"
uuid = "b964fa9f-0449-5b57-a5c2-d3ea65f4040f"
version = "1.3.0"

[[deps.LibCURL]]
deps = ["LibCURL_jll", "MozillaCACerts_jll"]
uuid = "b27032c2-a3e7-50c8-80cd-2d36dbcbfd21"
version = "0.6.3"

[[deps.LibCURL_jll]]
deps = ["Artifacts", "LibSSH2_jll", "Libdl", "MbedTLS_jll", "Zlib_jll", "nghttp2_jll"]
uuid = "deac9b47-8bc7-5906-a0fe-35ac56dc84c0"
version = "7.84.0+0"

[[deps.LibGit2]]
deps = ["Base64", "NetworkOptions", "Printf", "SHA"]
uuid = "76f85450-5226-5b5a-8eaa-529ad045b433"

[[deps.LibSSH2_jll]]
deps = ["Artifacts", "Libdl", "MbedTLS_jll"]
uuid = "29816b5a-b9ab-546f-933c-edad1886dfa8"
version = "1.10.2+0"

[[deps.Libdl]]
uuid = "8f399da3-3557-5675-b5ff-fb832c97cbdb"

[[deps.LineSearches]]
deps = ["LinearAlgebra", "NLSolversBase", "NaNMath", "Parameters", "Printf"]
git-tree-sha1 = "f27132e551e959b3667d8c93eae90973225032dd"
uuid = "d3d80556-e9d4-5f37-9878-2ab0fcc64255"
version = "7.1.1"

[[deps.LinearAlgebra]]
deps = ["Libdl", "libblastrampoline_jll"]
uuid = "37e2e46d-f89d-539d-b4ee-838fcccc9c8e"

[[deps.LogExpFunctions]]
deps = ["ChainRulesCore", "ChangesOfVariables", "DocStringExtensions", "InverseFunctions", "IrrationalConstants", "LinearAlgebra"]
git-tree-sha1 = "a970d55c2ad8084ca317a4658ba6ce99b7523571"
uuid = "2ab3a3ac-af41-5b50-aa03-7779005ae688"
version = "0.3.12"

[[deps.Logging]]
uuid = "56ddb016-857b-54e1-b83d-db4d58db5568"

[[deps.MacroTools]]
deps = ["Markdown", "Random"]
git-tree-sha1 = "3d3e902b31198a27340d0bf00d6ac452866021cf"
uuid = "1914dd2f-81c6-5fcd-8719-6d5c9610ff09"
version = "0.5.9"

[[deps.Markdown]]
deps = ["Base64"]
uuid = "d6f4376e-aef5-505a-96c1-9c027394607a"

[[deps.MbedTLS_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "c8ffd9c3-330d-5841-b78e-0817d7145fa1"
version = "2.28.0+0"

[[deps.Mmap]]
uuid = "a63ad114-7e13-5084-954f-fe012c677804"

[[deps.MozillaCACerts_jll]]
uuid = "14a3606d-f60d-562e-9121-12d972cd8159"
version = "2022.2.1"

[[deps.NLSolversBase]]
deps = ["DiffResults", "Distributed", "FiniteDiff", "ForwardDiff"]
git-tree-sha1 = "50310f934e55e5ca3912fb941dec199b49ca9b68"
uuid = "d41bc354-129a-5804-8e4c-c37616107c6c"
version = "7.8.2"

[[deps.NLsolve]]
deps = ["Distances", "LineSearches", "LinearAlgebra", "NLSolversBase", "Printf", "Reexport"]
git-tree-sha1 = "019f12e9a1a7880459d0173c182e6a99365d7ac1"
uuid = "2774e3e8-f4cf-5e23-947b-6d7e65073b56"
version = "4.5.1"

[[deps.NaNMath]]
git-tree-sha1 = "b086b7ea07f8e38cf122f5016af580881ac914fe"
uuid = "77ba4419-2d1f-58cd-9bb1-8ffee604a2e3"
version = "0.3.7"

[[deps.NetworkOptions]]
uuid = "ca575930-c2e3-43a9-ace4-1e988b2c1908"
version = "1.2.0"

[[deps.OpenBLAS_jll]]
deps = ["Artifacts", "CompilerSupportLibraries_jll", "Libdl"]
uuid = "4536629a-c528-5b80-bd46-f80d51c5b363"
version = "0.3.20+0"

[[deps.OpenLibm_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "05823500-19ac-5b8b-9628-191a04bc5112"
version = "0.8.1+0"

[[deps.OpenSpecFun_jll]]
deps = ["Artifacts", "CompilerSupportLibraries_jll", "JLLWrappers", "Libdl", "Pkg"]
git-tree-sha1 = "13652491f6856acfd2db29360e1bbcd4565d04f1"
uuid = "efe28fd5-8261-553b-a9e1-b2916fc3738e"
version = "0.5.5+0"

[[deps.OrderedCollections]]
git-tree-sha1 = "85f8e6578bf1f9ee0d11e7bb1b1456435479d47c"
uuid = "bac558e1-5e72-5ebc-8fee-abe8a469f55d"
version = "1.4.1"

[[deps.Parameters]]
deps = ["OrderedCollections", "UnPack"]
git-tree-sha1 = "34c0e9ad262e5f7fc75b10a9952ca7692cfc5fbe"
uuid = "d96e819e-fc66-5662-9728-84c9c7592b0a"
version = "0.12.3"

[[deps.Parsers]]
deps = ["Dates"]
git-tree-sha1 = "3b429f37de37f1fc603cc1de4a799dc7fbe4c0b6"
uuid = "69de0a69-1ddd-5017-9359-2bf0b02dc9f0"
version = "2.3.0"

[[deps.Pkg]]
deps = ["Artifacts", "Dates", "Downloads", "LibGit2", "Libdl", "Logging", "Markdown", "Printf", "REPL", "Random", "SHA", "Serialization", "TOML", "Tar", "UUIDs", "p7zip_jll"]
uuid = "44cfe95a-1eb2-52ea-b672-e2afdf69b78f"
version = "1.8.0"

[[deps.PlotlyBase]]
deps = ["ColorSchemes", "Dates", "DelimitedFiles", "DocStringExtensions", "JSON", "LaTeXStrings", "Logging", "Parameters", "Pkg", "REPL", "Requires", "Statistics", "UUIDs"]
git-tree-sha1 = "180d744848ba316a3d0fdf4dbd34b77c7242963a"
uuid = "a03496cd-edff-5a9b-9e67-9cda94a718b5"
version = "0.8.18"

[[deps.PlutoUI]]
deps = ["AbstractPlutoDingetjes", "Base64", "ColorTypes", "Dates", "Hyperscript", "HypertextLiteral", "IOCapture", "InteractiveUtils", "JSON", "Logging", "Markdown", "Random", "Reexport", "UUIDs"]
git-tree-sha1 = "670e559e5c8e191ded66fa9ea89c97f10376bb4c"
uuid = "7f904dfe-b85e-4ff6-b463-dae2292396a8"
version = "0.7.38"

[[deps.Preferences]]
deps = ["TOML"]
git-tree-sha1 = "47e5f437cc0e7ef2ce8406ce1e7e24d44915f88d"
uuid = "21216c6a-2e73-6563-6e65-726566657250"
version = "1.3.0"

[[deps.Printf]]
deps = ["Unicode"]
uuid = "de0858da-6303-5e67-8744-51eddeeeb8d7"

[[deps.REPL]]
deps = ["InteractiveUtils", "Markdown", "Sockets", "Unicode"]
uuid = "3fa0cd96-eef1-5676-8a61-b3b8758bbffb"

[[deps.Random]]
deps = ["SHA", "Serialization"]
uuid = "9a3f8284-a2c9-5f02-9a11-845980a1fd5c"

[[deps.Reexport]]
git-tree-sha1 = "45e428421666073eab6f2da5c9d310d99bb12f9b"
uuid = "189a3867-3050-52da-a836-e630ba90ab69"
version = "1.2.2"

[[deps.Requires]]
deps = ["UUIDs"]
git-tree-sha1 = "838a3a4188e2ded87a4f9f184b4b0d78a1e91cb7"
uuid = "ae029012-a4dd-5104-9daa-d747884805df"
version = "1.3.0"

[[deps.SHA]]
uuid = "ea8e919c-243c-51af-8825-aaa63cd721ce"
version = "0.7.0"

[[deps.Serialization]]
uuid = "9e88b42a-f829-5b0c-bbe9-9e923198166b"

[[deps.SharedArrays]]
deps = ["Distributed", "Mmap", "Random", "Serialization"]
uuid = "1a1011a3-84de-559e-8e89-a11a2f7dc383"

[[deps.Sockets]]
uuid = "6462fe0b-24de-5631-8697-dd941f90decc"

[[deps.SparseArrays]]
deps = ["LinearAlgebra", "Random"]
uuid = "2f01184e-e22b-5df5-ae63-d93ebab69eaf"

[[deps.SpecialFunctions]]
deps = ["ChainRulesCore", "IrrationalConstants", "LogExpFunctions", "OpenLibm_jll", "OpenSpecFun_jll"]
git-tree-sha1 = "5ba658aeecaaf96923dce0da9e703bd1fe7666f9"
uuid = "276daf66-3868-5448-9aa4-cd146d93841b"
version = "2.1.4"

[[deps.Static]]
deps = ["IfElse"]
git-tree-sha1 = "87e9954dfa33fd145694e42337bdd3d5b07021a6"
uuid = "aedffcd0-7271-4cad-89d0-dc628f76c6d3"
version = "0.6.0"

[[deps.StaticArrays]]
deps = ["LinearAlgebra", "Random", "Statistics"]
git-tree-sha1 = "cd56bf18ed715e8b09f06ef8c6b781e6cdc49911"
uuid = "90137ffa-7385-5640-81b9-e52037218182"
version = "1.4.4"

[[deps.Statistics]]
deps = ["LinearAlgebra", "SparseArrays"]
uuid = "10745b16-79ce-11e8-11f9-7d13ad32a3b2"

[[deps.StatsAPI]]
deps = ["LinearAlgebra"]
git-tree-sha1 = "c82aaa13b44ea00134f8c9c89819477bd3986ecd"
uuid = "82ae8749-77ed-4fe6-ae5f-f523153014b0"
version = "1.3.0"

[[deps.TOML]]
deps = ["Dates"]
uuid = "fa267f1f-6049-4f14-aa54-33bafae1ed76"
version = "1.0.0"

[[deps.Tar]]
deps = ["ArgTools", "SHA"]
uuid = "a4e569a6-e804-4fa4-b0f3-eef7a1d5b13e"
version = "1.10.0"

[[deps.Test]]
deps = ["InteractiveUtils", "Logging", "Random", "Serialization"]
uuid = "8dfed614-e22c-5e08-85e1-65c5234f0b40"

[[deps.UUIDs]]
deps = ["Random", "SHA"]
uuid = "cf7118a7-6976-5b1a-9a39-7adc72f591a4"

[[deps.UnPack]]
git-tree-sha1 = "387c1f73762231e86e0c9c5443ce3b4a0a9a0c2b"
uuid = "3a884ed6-31ef-47d7-9d2a-63182c4928ed"
version = "1.0.2"

[[deps.Unicode]]
uuid = "4ec0a83e-493e-50e2-b9ac-8f72acf5a8f5"

[[deps.Zlib_jll]]
deps = ["Libdl"]
uuid = "83775a58-1f1d-513f-b197-d71354ab007a"
version = "1.2.12+3"

[[deps.libblastrampoline_jll]]
deps = ["Artifacts", "Libdl", "OpenBLAS_jll"]
uuid = "8e850b90-86db-534c-a0d3-1478176c7d93"
version = "5.1.1+0"

[[deps.nghttp2_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "8e850ede-7688-5339-a07c-302acd2aaf8d"
version = "1.48.0+0"

[[deps.p7zip_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "3f19e933-33d8-53b3-aaab-bd5110c3b7a0"
version = "17.4.0+0"
"""

# ╔═╡ Cell order:
# ╟─0b869e70-3717-11ec-202c-6b94dac7daf3
# ╠═b326715f-c37f-44d2-92f9-6264368a18b2
# ╟─694d78c7-4762-4d40-8f9a-6c3d16916d4e
# ╟─b72215bb-8e3a-46e2-8817-271befe1178c
# ╟─60bab761-8537-46e3-9940-953cd47da4be
# ╟─52c76dc2-146c-4178-9aa3-d132a0551168
# ╟─639e8d57-e9d8-432a-9c33-67ec124a703c
# ╟─b060aff8-7cfa-4475-b0b4-ef9f080226f6
# ╟─9df62048-e8f6-4778-b296-59c6e3d6116b
# ╟─b4672ef7-e482-4b63-9dd6-ce6df8ed99e3
# ╟─472ef023-de07-4bf8-a413-bfe48d529a5e
# ╟─e82aa600-1555-4d90-a029-934971515e9e
# ╟─73afa73e-5515-4a07-8a0c-6e1602065f4a
# ╟─f36d542a-01c1-4fed-8d6a-d18916998ffe
# ╟─1e69da65-2a11-44a8-9ef3-f59e927d3dab
# ╟─453a8441-496f-4b56-affc-999ee17aeb24
# ╟─686ccacc-f4d4-4dd0-b041-c8f3ccf78abd
# ╠═bc7a7a3d-b43a-4db1-9f42-212226e10a29
# ╟─92e13516-d245-4afe-be73-ac26bd894d9b
# ╟─b004b15f-67bb-49c8-8eb5-1738ef66dedd
# ╟─0e7f5955-9cfb-4c3d-885d-949c4d2b1377
# ╟─a6e64a06-0041-4337-b15e-777bd0a9b7af
# ╟─189369e0-332f-4fdb-ada3-b1e4072067ca
# ╟─dd817a97-ad13-4e06-9973-377bad777af8
# ╟─1b50ed59-f6b7-482c-9bbd-e72bf1b5cc90
# ╠═65e7c84b-f23a-40c1-8d41-3214a6509ed4
# ╟─4109af60-6178-4148-8efe-890245077188
# ╟─25743265-a4d8-45c0-8c17-e75a2858441a
# ╟─dfe0da15-70ae-4890-9ebc-f0220d3d24a5
# ╟─b3cf0862-86b9-4b72-9a99-7094bb357672
# ╟─e942d48b-92fb-4884-8aad-db41049ecb68
# ╟─0dc14ae7-9737-43f9-9065-c48eca78b10f
# ╟─6be49405-81c0-4b78-9b4b-74a28288cb33
# ╟─3e742246-76db-485f-a072-ada0bb62e5f0
# ╟─2d3b6e2a-e905-4e8e-8f58-84a55ec66257
# ╟─9146b701-32f9-46c6-a8ea-5869733dd73c
# ╠═c7e2c3fc-bf1c-4b1b-882a-b9e36d66a32b
# ╟─9b0f3199-ff28-4820-bcad-e59bc65ce8a6
# ╟─541d8125-e5d0-46ec-a26d-aa1a130c38b2
# ╟─45ee439d-2e32-4849-96d9-d2ac558e0633
# ╟─3702e673-d0bf-4ad8-89ad-770f520b2d3a
# ╟─bddb1765-c6f7-4691-a982-f8a2b3730536
# ╟─d7429d71-cb55-4f75-8e62-8cd86fd25fc1
# ╟─2be98353-828b-49bd-ad8c-11f264074066
# ╟─f6e1ffaf-62fc-4716-ad75-fda073486d95
# ╟─911bff51-0256-470e-96a5-e5f8a61dd324
# ╟─5d77a375-8649-4f50-8eaf-4bc90823355e
# ╟─c09accf2-8d49-4234-9e7a-281b7e94af1d
# ╠═505c7d0a-8ba8-4500-bf12-0f337e787e8d
# ╟─15643808-478f-4bb6-8f89-155707501530
# ╠═cff3fc5b-326b-4efe-836b-229cd23f83cc
# ╟─9b622087-ad34-4f19-9929-cbdf0256eae0
# ╟─663614b3-9a45-4179-b0ca-931c8b3495dd
# ╟─622249b8-e03c-4b4c-b82d-b57b2109f55a
# ╠═cd9477a3-a0af-44bf-83df-55e22ac2bf7d
# ╟─cdbb679f-65de-4e28-905d-1b2cc4786193
# ╠═166ac681-b718-444d-acb1-9bc55a99ba51
# ╠═f7ca73ad-ac6e-4431-9bc2-08bf0ba26adb
# ╠═8f75acd4-baf7-48f9-b78a-700c5bc9c8e3
# ╟─ec05f27a-e132-4e8d-8f42-e76e778fd15e
# ╟─63e1aa34-3b81-4003-b377-84f95d665c72
# ╠═0e7d1cc4-2d2d-45b4-b2db-fecb2e487729
# ╠═4610a53d-5981-4c68-8f5e-b861e532064c
# ╟─f3ff7048-ec89-486e-ab1e-5a1d6bcab0ba
# ╟─3b97a814-989b-478a-8db4-bf8faf6e9d39
# ╠═481099e2-bd03-4c78-b2ca-28d6a11f88ab
# ╠═26f1bb3c-c7a5-4b65-a599-cb343337ba2e
# ╟─249d33d4-e65b-4409-9442-b405a6fdee11
# ╟─d8be14b9-f55b-407c-b039-24817220c07b
# ╟─33a0b6a9-446e-4f8d-ba85-2e2e380713c7
# ╠═83da306c-64fa-4231-b396-b2006cd3ae05
# ╟─36a0155e-86a5-461a-9b29-bf5b12e29e1b
# ╟─4f2bd28d-abe2-43eb-9b7c-65e4ee574499
# ╟─ce844785-c79e-49ec-adc3-195ce2c45dda
# ╠═52df2abd-1f37-435e-8129-9438a597d24a
# ╟─4f674a39-f961-4b0c-a5e3-f4157e54a263
# ╟─c6dd93c8-6dd1-4d72-9832-8c9d0ac18541
# ╟─5d2316d1-1c6d-4d3a-b661-456121e3a49a
# ╟─49c7f5e5-9c10-4758-b0fc-d5ca393ae14a
# ╟─9a129cf6-6e34-4fd1-a9fa-88e228a89f37
# ╟─7bfaeb95-3c1f-4f66-b1ca-ed50b9d6e111
# ╟─89752b0b-c1bf-4127-acf5-fe2ccec53c5a
# ╟─147cc8ed-b1c3-4e47-b2ee-ddfb89d39a16
# ╟─4f64fb39-a46d-4f46-b87d-825c013207db
# ╟─67788221-ebbc-463f-8433-df2fb7759d76
# ╠═1abf1b21-a268-45da-bcfc-b9cab7119ef4
# ╟─f2956bed-9534-4c57-bfaa-fbef3c4af810
# ╟─edbd2b1c-1452-41a6-962c-3434bd420020
# ╠═0b4adabb-93f9-40d0-8571-b651dd68535c
# ╠═d9672a6f-97af-43d1-9a30-50495204fec8
# ╟─73ff8fcc-cfd6-45ba-a741-ecfa65a4cf28
# ╟─f766a3df-efa6-4171-895d-4c34e5843a7b
# ╟─c7190cc0-08d8-45c8-b5de-e5630e0ff00e
# ╟─00000000-0000-0000-0000-000000000001
# ╟─00000000-0000-0000-0000-000000000002
